
import sys
from os import environ
from os import getcwd
import string

sys.path.append(environ["PYTHON_MODULE_PATH"])

import CompuCellSetup

sim,simthread = CompuCellSetup.getCoreSimulationObjects()
            
# add extra attributes here
        
pyAttributeDictionaryAdder,dictAdder=CompuCellSetup.attachDictionaryToCells(sim)
            
CompuCellSetup.initializeSimulationObjects(sim,simthread)
# Definitions of additional Python-managed fields go here
        
#Add Python steppables here
steppableRegistry=CompuCellSetup.getSteppableRegistry()
        
from CellCycle2Steppables import CellCycleSteppable
steppableInstance=CellCycleSteppable(sim,_frequency=1)
steppableRegistry.registerSteppable(steppableInstance)

from CellCycle2Steppables import VisualizationField
instanceOfVisualizationField=VisualizationField(_simulator=sim,_frequency=1)
steppableRegistry.registerSteppable(instanceOfVisualizationField)

from CellCycle2Steppables import Mitosis
instanceOfMitosis=Mitosis(_simulator=sim,_frequency=1)
steppableRegistry.registerSteppable(instanceOfMitosis)
        
CompuCellSetup.mainLoop(sim,simthread,steppableRegistry)
        
        